Unit sf37e_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UTSF13_p, SF36E_p, SF22E_p;

function sf37e(X :Extended; A :Extended; B :Extended;
                var IERR :Integer): Extended;

implementation

function sf37e(X :Extended; A :Extended; B :Extended;
                var IERR :Integer): Extended;
var
IERR1 :Integer;
const
SYS059 :Real = 1.7E308;
label
_1,_2,_3,_4;
begin
{ Result -    SF37E  FORTRANe }
IERR := 0;
if ( (X >= 0.0e0) ) and ( (X <= 1.0e0) ) 
 then goto _1;
IERR := 65;
goto _3;
_1:
if ( (A > 0.0e0) ) and ( (B > 0.0e0) ) 
 then goto _2;
IERR := 66;
goto _3;
_2:
Result := SF36E(X,A,B,IERR1)*SF22E(A,B,IERR1);
goto _4;
_3:
UTSF13(IERR,37);
Result := SYS059;
_4:
exit;
end;

end.
